<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']= 'Файлы';
include_once '../../sys/inc/thead.php';
title();

only_reg();

$id = intval($_GET['id']);
$files = mysql_fetch_array(mysql_query("SELECT * FROM `user_files_mod_files` WHERE `id` = '".$id."'"));
$papka = mysql_fetch_array(mysql_query("SELECT * FROM `user_files_mod_papka` WHERE `id` = '".$files['dir']."'"));
$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$files['kto_id']."'"));
$files_num = mysql_num_rows(mysql_query("SELECT * FROM `user_files_mod_files`  WHERE `id` = '".$id."'"));
$komm = mysql_num_rows(mysql_query("SELECT * FROM `user_files_mod_komm` WHERE `file` = '".$id."'"));

$komm_t = mysql_num_rows(mysql_query("SELECT * FROM `user_files_mod_komm` WHERE `file` = '".$id."' and `time` > '".(time()-86400)."'"));

$zakl = mysql_num_rows(mysql_query("SELECT * FROM `user_files_mod_zakl` WHERE `file` = '".$id."'"));

$r_plus = mysql_num_rows(mysql_query("SELECT * FROM `user_files_mod_rating` WHERE `file` = '".$id."' and `status` = 'plus'"));

$r_minus = mysql_num_rows(mysql_query("SELECT * FROM `user_files_mod_rating` WHERE `file` = '".$id."' and `status` = 'minus'"));

$rating = $r_plus - $r_minus;

$r_kto = mysql_num_rows(mysql_query("SELECT * FROM `user_files_mod_rating` WHERE `file` = '".$id."' and `kto_id` = '".$user['id']."'"));

echo '<div class="mytitle">';
echo ''.online($ank['id']).' <a href="/info.php?id='.$ank['id'].'">'.$ank['nick'].'</a><br/>';

if ($files_num>0){

echo ''.$papka['name'].' > ';
echo ''.$files['name'].'<br/>';

}

echo '</div>';

if ($files_num == 0){

echo '<div class="komm">';
echo 'Файл не найден.<br/>';
echo '</div>';

}else{

if (isset($_GET['r'])){

echo '<div class="rekl_main">';
echo '<font color="green">Рейтинг файла выщитывается следедующим образом:</font><br/>';

echo 'Рейтинг больше 0: <img src="/user/files/image/star.png" alt="."/><br/>';

echo 'Рейтинг больше 10: <img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><br/>';

echo 'Рейтинг больше 20: <img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><br/>';

echo 'Рейтинг больше 50: <img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><br/>';

echo 'Рейтинг больше 100: <img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><img src="/user/files/image/star.png" alt="."/><br/>';

echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';

echo '</div>';

}else{

if (isset($_POST['submit_papka'])){

$_SESSION['pass_files_papka'] = mysql_real_escape_string($_POST['pass']);

header("Location: /user/files/file.php?id=".$id."");

}

if ($papka['pass_set']==1 && $_SESSION['pass_files_papka']!==$papka['pass'] && $user['id']!==$papka['kto_id']){

echo '<div class="links">';
echo '<font color="red">Папка под паролем. Если знаете пароль, пожалуйста введите его:</font><br/>';
echo '<form action="/user/files/file.php?id='.$id.'" method="post">';
echo '<input type="text" name="pass" value=""/><br/>';
echo '<input type="submit" name="submit_papka" value="Попробовать"/></form>';
echo '</div>';

}else{

if (isset($_POST['submit_files'])){

$_SESSION['pass_files_file'] = mysql_real_escape_string($_POST['pass']);

header("Location: /user/files/file.php?id=".$id."");

}

if ($files['pass_set']==1 && $_SESSION['pass_files_file']!==$files['pass'] && $user['id']!==$files['kto_id']){

echo '<div class="links">';
echo '<font color="red">Файл под паролем. Если знаете пароль, пожалуйста введите его:</font><br/>';
echo '<form action="/user/files/file.php?id='.$id.'" method="post">';
echo '<input type="text" name="pass" value=""/><br/>';
echo '<input type="submit" name="submit_files" value="Попробовать"/></form>';
echo '</div>';


}else{



if (isset($_GET['pass_edit'])){

echo '<div class="komm">';

if ($files['kto_id']!==$user['id']){

echo 'Нет прав для данного действия.<br/>';

}else{

if (isset($_POST['submit_pass_file'])){

$pass_file = mysql_real_escape_string($_POST['pass_file']);

mysql_query("UPDATE `user_files_mod_files` SET `pass_set` = '1' WHERE `id` = '".$id."' LIMIT 1");

mysql_query("UPDATE `user_files_mod_files` SET `pass` = '".$pass_file."' WHERE `id` = '".$id."' LIMIT 1");

echo 'Пароль изменен.<br/>';

}else{

echo '<font color="red">Новый пароль:</font><br/>';
echo '<form action="/user/files/file.php?id='.$id.'&pass_edit" method="post">';
echo '<input type="text" name="pass_file" value="'.$files['pass'].'"/><br/>';
echo '<input type="submit" name="submit_pass_file" value="Изменить"/></form>';

}

}

echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';

echo '</div>';

}else{



if (isset($_GET['pass_edit_papka'])){

echo '<div class="links">';

if ($files['kto_id']!==$user['id']){

echo 'Нет прав для данного действия.<br/>';

}else{

if (isset($_POST['submit_pass_papka'])){

$pass_papka = mysql_real_escape_string($_POST['pass_papka']);

mysql_query("UPDATE `user_files_mod_papka` SET `pass_set` = '1' WHERE `id` = '".$files['dir']."' LIMIT 1");

mysql_query("UPDATE `user_files_mod_papka` SET `pass` = '".$pass_papka."' WHERE `id` = '".$files['dir']."' LIMIT 1");

echo 'Пароль изменен.<br/>';

}else{

echo '<font color="red">Новый пароль:</font><br/>';
echo '<form action="/user/files/file.php?id='.$id.'&pass_edit_papka" method="post">';
echo '<input type="text" name="pass_papka" value="'.$papka['pass'].'"/><br/>';
echo '<input type="submit" name="submit_pass_papka" value="Изменить"/></form>';

}

}

echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';

echo '</div>';

}else{



if (isset($_GET['opis'])){

echo '<div class="links">';

if ($files['kto_id']!==$user['id']){

echo 'Нет прав для данного действия.<br/>';

}else{

if (isset($_POST['submit_opis'])){

$opis_file = mysql_real_escape_string($_POST['opis_file']);

mysql_query("UPDATE `user_files_mod_files` SET `opis` = '".$opis_file."' WHERE `id` = '".$id."' LIMIT 1");

echo 'Описание измененно.<br/>';

}else{

echo '<font color="red">Изменить описание:</font><br/>';
echo '<form action="/user/files/file.php?id='.$id.'&opis" method="post">';
echo '<input type="text" name="opis_file" value="'.$files['opis'].'"/><br/>';
echo '<input type="submit" name="submit_opis" value="Изменить"/></form>';

}

}

echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';

echo '</div>';

}else{


if (isset($_GET['pass_del'])){

echo '<div class="komm">';

if ($files['kto_id']!==$user['id']){

echo 'Нет прав для данного действия.<br/>';

}else{

mysql_query("UPDATE `user_files_mod_files` SET `pass_set` = '0' WHERE `id` = '".$id."' LIMIT 1");

mysql_query("UPDATE `user_files_mod_files` SET `pass` = '' WHERE `id` = '".$id."' LIMIT 1");

echo 'Пароль успешно убран.<br/>';

}

echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';

echo '</div>';

}else{



if (isset($_GET['pass_del_papka'])){

echo '<div class="komm">';

if ($papka['kto_id']!==$user['id']){

echo 'Нет прав для данного действия.<br/>';

}else{

mysql_query("UPDATE `user_files_mod_papka` SET `pass_set` = '0' WHERE `id` = '".$files['dir']."' LIMIT 1");

mysql_query("UPDATE `user_files_mod_papka` SET `pass` = '' WHERE `id` = '".$files['dir']."' LIMIT 1");

echo 'Пароль успешно убран.<br/>';

}

echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';

echo '</div>';

}else{



if (isset($_GET['zakl'])){

echo '<div class="komm">';

if ($zakl>0){

echo 'Такая закладка уже существует.<br/>';

}else{

mysql_query("INSERT INTO `user_files_mod_zakl` (`kto_id`, `file`, `time`) VALUES ('".$user['id']."', '".$id."', '".time()."')");

echo 'Закладка добавлена.<br/>';

}

echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';

echo '</div>';

}else{

if (isset($_GET['del'])){

echo '<div class="links">';

if ($files['kto_id']!==$user['id']){

echo 'Нет прав для данного действия.<br/>';

}else{

mysql_query("DELETE FROM `user_files_mod_files` WHERE `id` = '".$id."' LIMIT 1");

echo 'Файл удален.<br/>';

}

echo '</div>';

}else{



if (isset($_GET['r_kto'])){




$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user_files_mod_rating` WHERE `file` = '".$id."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$res = mysql_query("select * from `user_files_mod_rating` WHERE `file` = '".$id."' order by time LIMIT $start, $set[p_str];");

if ($k_post==0){

echo '<div class="komm">';
echo 'Нет голосов.<br/>';
echo '</div>';

}else{

echo '<div class="links">';

while ($post = mysql_fetch_array($res)){

$u = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['kto_id']."'"));

echo ''.online($ank['id']).' <a href="/info.php?id='.$post['kto_id'].'">'.$u['nick'].'</a> ';

if ($post['status']=='plus'){

echo '<font color="green">+1</font>';

}else{

echo '<font color="red">-1</font>';

}

echo ' ['.vremja($post['time']).']<br/>';

}

echo '</div>';

if ($k_page>1)str('?id='.$id.'&r_kto&',$k_page,$page);

}

echo '<div class="foot">';
echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';
echo '</div>';

}else{



if (isset($_GET['plus'])){

echo '<div class="komm">';

if ($r_kto>0){

echo 'Вы уже голосовали за этот файл.<br/>';

}else{

mysql_query("INSERT INTO `user_files_mod_rating` (`kto_id`, `file`, `time`, `status`) VALUES ('".$user['id']."', '".$id."', '".time()."', 'plus')");

echo 'Вы успешно проголосовали за файл.<br/>';

}

echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';

echo '</div>';

}else{


if (isset($_GET['minus'])){

echo '<div class="komm">';

if ($r_kto>0){

echo 'Вы уже голосовали за этот файл.<br/>';

}else{

mysql_query("INSERT INTO `user_files_mod_rating` (`kto_id`, `file`, `time`, `status`) VALUES ('".$user['id']."', '".$id."', '".time()."', 'minus')");

echo 'Вы успешно проголосовали за файл.<br/>';

}

echo '<a href="/user/files/file.php?id='.$id.'">К файлу</a><br/>';

echo '</div>';

}else{


mysql_query("UPDATE `user_files_mod_files` SET `prosm` = `prosm` + '1' WHERE `id` = '".$id."' LIMIT 1");

if ($files['screen_set']==1){

echo '<div class="links">';

echo '<img src="/user/files/screen/'.$files['screen'].'" width="100" height="100" alt="."/>';

echo '</div>';

}

echo '<div class="menu_razd">';

echo 'Описание: <font color="red">'.output_text($files['opis']).'</font>';

if ($files['kto_id']==$user['id']){

echo ' <a href="/user/files/file.php?id='.$id.'&opis">Изм.</a>';

}

echo '<br/>';

echo 'Автор: <a href="/info.php?id='.$files['kto_id'].'"><b>'.$ank['nick'].'</b></a> ['.vremja($files['time']).']<br/>';
echo 'Размер: '.$files['size'].'<br/>';
echo 'Просмотров: '.$files['prosm'].'<br/>';
echo '</div>';
echo '<div class="str">';
echo '<img src="/style/img/top.png" alt="."/> <a href="/user/files/file.php?id='.$id.'&r_kto">Рейтинг:</a> ';

if ($rating>=0){

echo '<img src="/user/files/image/star.png" alt="."/> ';

}

if ($rating>10){

echo '<img src="/user/files/image/star.png" alt="."/> ';

}

if ($rating>20){

echo '<img src="/user/files/image/star.png" alt="."/> ';

}

if ($rating>50){

echo '<img src="/user/files/image/star.png" alt="."/> ';

}

if ($rating>100){

echo '<img src="/user/files/image/star.png" alt="."/> ';

}

echo ' ['.$rating.'] <a href="/user/files/file.php?id='.$id.'&plus"><img src="/style/img/vote_yes.gif" alt="."/></a>  <a href="/user/files/file.php?id='.$id.'&minus"><img src="/style/img/vote_no.gif" alt="."/></a> <a href="/user/files/file.php?id='.$id.'&r"><u>?</u></a><br/>';


//echo '<br/>';

//if ($zakl == 0){

//echo '<img src="/user/files/image/inf.png" alt="."/> <a href="/user/files/file.php?id='.$id.'&zakl">Добавить в закладки</a><br/>';

//}

echo '<img src="/style/img/0182.png" alt="."/> <a href="/user/files/file/'.$files['filename'].'">Скачать</a><br/>';
echo '<img src="/style/img/komm.png" alt="."/> <a href="/user/files/komm.php?id='.$id.'">Комментарии:</a> '.$komm.'';
if ($komm_t>0){

echo ' <font color="red">+'.$komm_t.'</font>';

}
echo '</div>';

if ($files['kto_id']==$user['id']){

echo '<div class="textmes">';
echo '<font color="red">Действия:</font><br/>';
echo '<img src="/user/files/image/inf.png" alt="."/> <a href="/user/files/file.php?id='.$id.'&pass_del">Убрать пароль</a><br/>';
echo '<img src="/user/files/image/inf.png" alt="."/> <a href="/user/files/file.php?id='.$id.'&pass_del_papka">Убрать пароль с папки</a><br/>';
echo '<img src="/user/files/image/inf.png" alt="."/> <a href="/user/files/file.php?id='.$id.'&pass_edit">Изменить пароль</a><br/>';
echo '<img src="/user/files/image/inf.png" alt="."/> <a href="/user/files/file.php?id='.$id.'&pass_edit_papka">Изменить пароль на папке</a><br/>';
echo '<img src="/user/files/image/inf.png" alt="."/> <a href="/user/files/file.php?id='.$id.'&del">Удалить файл</a><br/>';
echo '</div>';

}

}

}

}

}

}

}

}

}

}

}

}

}

}

}

echo '<div class="foot">';
echo '<a href="/user/files/dir.php?id='.$files['dir'].'">К файлам</a><br/>';
echo '</div>';
echo '<div class="foot">';
echo '<a href="/user/files/?id='.$ank['id'].'">К папкам</a><br/>';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
?>